/// <reference types="node" />
import { Stats } from 'fs-extra';
import { Pattern } from './types';
import { Migration } from './Migration';
export declare class File {
    cwd: string;
    fileName: string;
    migration: Migration;
    _source: string | undefined;
    _stats: Stats | null | undefined;
    constructor({ cwd, fileName, source, migration, }: {
        cwd: string;
        fileName: string;
        source?: string;
        migration: Migration;
    });
    get path(): string;
    get stats(): Stats | null;
    get exists(): boolean;
    get isDirectory(): boolean;
    get source(): string;
}
export declare const getFiles: (cwd: string, pattern: Pattern, migration: Migration) => Array<File>;
