import { MigrationEmitter } from './events';
import type { Options, TaskResult, RegisterCreateTask, RegisterRemoveTask, RegisterRenameTask, RegisterTransformTask, RegisterAfterHook, Task, TaskError } from './types';
import { VirtualFileSystem } from './VirtualFileSystem';
import { AfterHookFn } from './hooks';
export declare type RegisterMethods = {
    transform: RegisterTransformTask;
    rename: RegisterRenameTask;
    remove: RegisterRemoveTask;
    create: RegisterCreateTask;
    after: RegisterAfterHook;
};
export declare class Migration {
    options: Options;
    events: MigrationEmitter;
    fs: VirtualFileSystem;
    results: Array<TaskResult>;
    errors: Array<TaskError>;
    afterHooks: Array<AfterHookFn>;
    constructor(options: Options);
    runTask(task: Task): void;
    transform: RegisterTransformTask;
    rename: RegisterRenameTask;
    remove: RegisterRemoveTask;
    create: RegisterCreateTask;
    after: RegisterAfterHook;
    registerMethods: RegisterMethods;
    write(): void;
    static init(options: Options): Migration;
}
