"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.defaultReporter = void 0;
const chalk_1 = require("chalk");
const createReport_1 = require("./createReport");
const defaultReporter = (migration) => {
    const { events } = migration;
    events.on('migration-start', ({ title, migration }) => {
        console.log(`${chalk_1.cyan('🏃‍ Running:')} ${title}`);
        console.log(`${chalk_1.cyan('📁 On:')} ${migration.options.cwd}`);
    });
    events.on('migration-after-run', ({ migration, options: { dry } }) => {
        if (dry) {
            console.log(chalk_1.bold('dry-run mode, no files will be modified'));
            console.log();
        }
        console.log();
        console.log(createReport_1.createReport(migration));
    });
    events.on('migration-before-prompt', () => {
        // space the prompt
        console.log();
    });
    events.on('migration-after-write', () => {
        console.log();
        console.log(chalk_1.green('The migration was done successfully 🎉'));
    });
    events.on('migration-after-prompt-aborted', () => {
        console.log();
        console.log(chalk_1.red('Migration aborted'));
    });
};
exports.defaultReporter = defaultReporter;
