"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.quietReporter = void 0;
const chalk_1 = require("chalk");
const quietReporter = ({ events }) => {
    events.on('task-fail', ({ error, task, file }) => {
        console.log(task.title);
        console.error(`${chalk_1.red('X')} ${task.type} failed: ${file === null || file === void 0 ? void 0 : file.path}`);
        console.error();
        console.error(error);
    });
};
exports.quietReporter = quietReporter;
