import { RunTask } from './runTask';
import { Pattern } from '../types';
export declare type CreateReturnValue = {
    source?: string;
    fileName?: string;
} | null;
export declare type EmptyCreateFn = () => CreateReturnValue;
export declare type CreateFn = ({ fileName, source, }: {
    fileName: string;
    source: string;
}) => CreateReturnValue;
export declare type CreateTask = {
    type: 'create';
    title: string;
    pattern?: Pattern;
    fn: CreateFn | EmptyCreateFn;
};
export declare const runCreateTask: RunTask<CreateTask>;
