"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.runRemoveTask = void 0;
const File_1 = require("../File");
const runRemoveTask = (task, migration) => {
    const files = File_1.getFiles(migration.options.cwd, task.pattern, migration);
    const taskResults = [];
    for (let file of files) {
        migration.events.emit('task-start', { file, task });
        if (!file.exists) {
            migration.events.emit('task-noop', {
                task,
                file,
            });
            continue;
        }
        if (task.fn)
            task.fn(file);
        migration.events.emit('task-success', {
            task,
            file,
            type: task.type,
        });
        migration.fs.removeSync(file.path);
        const taskResult = { type: task.type, file, task };
        taskResults.push(taskResult);
    }
    return { taskResults, taskErrors: [] };
};
exports.runRemoveTask = runRemoveTask;
