"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.runSingleTask = void 0;
const transformTask_1 = require("./transformTask");
const renameTask_1 = require("./renameTask");
const createTask_1 = require("./createTask");
const removeTask_1 = require("./removeTask");
function runSingleTask(task, migration) {
    let chosenRunTask;
    switch (task.type) {
        case 'transform': {
            chosenRunTask = transformTask_1.runTransformTask;
            break;
        }
        case 'create': {
            chosenRunTask = createTask_1.runCreateTask;
            break;
        }
        case 'remove': {
            chosenRunTask = removeTask_1.runRemoveTask;
            break;
        }
        case 'rename': {
            chosenRunTask = renameTask_1.runRenameTask;
            break;
        }
        default: {
            // @ts-expect-error ts thinks that task is "never"
            throw new Error(`unknown task type "${task.type}"`);
        }
    }
    return chosenRunTask(task, migration);
}
exports.runSingleTask = runSingleTask;
