declare type MigrationFunction = ({ cwd }: {
    cwd: string;
}) => void | Promise<void>;
/**
 * @param options.migrationFile an absolute path to a migration file or a relative path
 * to the fixtures directory, defaults to migration.ts
 * @param options.command command that runs the migration.
 * e.g. ['node', './path/to/bin.js', '-y'] -> $ node ./path/to/bin.js -y
 * @param options.migrationFunction a function that performs the migration
 *
 */
export declare const createTestkit: ({ migrationFile, command, migrationFunction, }: {
    migrationFile: string;
    command?: string[] | undefined;
    migrationFunction?: MigrationFunction | undefined;
}) => MigrationTestkit;
export declare class MigrationTestkit {
    migrationFile: string;
    command?: string[];
    migrationFunction?: MigrationFunction;
    constructor({ migrationFile, command, migrationFunction, }: {
        migrationFile: string;
        command?: string[];
        migrationFunction?: MigrationFunction;
    });
    /**
     * @param options.fixtures an absolute path to a fixtures directory
     * which contains \_\_before__ and \_\_after__ directories
     */
    run({ fixtures }: {
        fixtures: string;
    }): Promise<void>;
    /**
     * @param options.fixtures an absolute path to a fixtures directory
     * which contains \_\_before__ and \_\_after__ directories
     * @param options.title test title
     */
    test({ fixtures, title }: {
        fixtures: string;
        title?: string;
    }): Promise<void>;
}
export {};
